Bug 1875794 - PV encryption selection and min requirement should be guarded for OCP 4.6 + OCS 4.5 installs & should be disabled by default for OCS 4.6
Summary: PV encryption selection and min requirement should be guarded for OCP 4.6 + ...
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Bipul Adhikari
QA Contact: Neha Berry
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-04 11:48 UTC by Neha Berry
Modified: 2020-09-21 12:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Install-page-UI (143.60 KB, image/png)
2020-09-04 11:48 UTC, Neha Berry
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6529 None closed Bug 1875794: Feature guards for Minimal Deployment and Cluster Encryption 2020-09-21 12:09:25 UTC

Description Neha Berry 2020-09-04 11:48:02 UTC
Created attachment 1713769 [details]
Install-page-UI

Description of problem:
-----------------------------
OCS 4.6 will support Encryption and installation on 8CPU + 32GB RAM clusters.

Hence, these options should not show up in Install StorageCluster Service Page for OCP 4.6 + OCS 4.5 . They should be guarded completely.

Version-Release number of selected component (if applicable):
--------------------------------
OCP = 4.6.0-0.nightly-2020-08-31-220837
OCS = ocs-operator.v4.5.0-546.ci

How reproducible:
----------------
Always

Steps to Reproduce:
1. Install OCP 4.6
2. Install OCS 4.5 Storage Cluster Service and check the Install UI page.
3.

Actual results:
---------------

encyption is enabled by default in UI minimum requirement is shown - not valid for OCS 4.5

Comment 1 Neha Berry 2020-09-04 12:49:22 UTC
Also, @Bipul, as disucssed in chatroom, for OCP 4.6 + OCS 4.6, we should have default state of encryption as false/disabled. 

Adding it here for reference, as this PR would include that fix as well.


Note You need to log in before you can comment on or make changes to this bug.